Get vulnerability details

Cortex XSIAM Platform APIs

get /public_api/uvem/v1/vulnerabilities

Get detailed information about a specific vulnerability.

For example, the following request retrieves detailed information about CVE-2021-28799: https://api-{{fqdn}}/public_api/uvem/v1/vulnerabilities?vulnerabilityId=CVE-2021-28799

Required license: Cortex XSIAM Premium. In Cortex XSIAM Enterprise and Cortex NG SIEM, requires the Cortex Cloud Posture Management add-on.

Request headers
authorization String required

api-key

Example: {{api-key}}
x-xdr-auth-id String required

api-key-id

Example: {{api_key_id}}
Query parameters
vulnerabilityId String required

Vulnerability ID

Example: CVE-2023-1234
CLIENT REQUEST
curl -X 'GET'
-H 'Accept: application/json'
-H 'authorization: {{api-key}}' -H 'x-xdr-auth-id: {{api_key_id}}'
'https://api-yourfqdn/public_api/uvem/v1/vulnerabilities?vulnerabilityId=CVE-2023-1234'
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") headers = { 'authorization': "{{api-key}}", 'x-xdr-auth-id': "{{api_key_id}}" } conn.request("GET", "/public_api/uvem/v1/vulnerabilities?vulnerabilityId=CVE-2023-1234", headers=headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/uvem/v1/vulnerabilities?vulnerabilityId=CVE-2023-1234") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Get.new(url) request["authorization"] = '{{api-key}}' request["x-xdr-auth-id"] = '{{api_key_id}}' response = http.request(request) puts response.read_body
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("GET", "https://api-yourfqdn/public_api/uvem/v1/vulnerabilities?vulnerabilityId=CVE-2023-1234"); xhr.setRequestHeader("authorization", "{{api-key}}"); xhr.setRequestHeader("x-xdr-auth-id", "{{api_key_id}}"); xhr.send(data);
HttpResponse<String> response = Unirest.get("https://api-yourfqdn/public_api/uvem/v1/vulnerabilities?vulnerabilityId=CVE-2023-1234") .header("authorization", "{{api-key}}") .header("x-xdr-auth-id", "{{api_key_id}}") .asString();
import Foundation let headers = [ "authorization": "{{api-key}}", "x-xdr-auth-id": "{{api_key_id}}" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/uvem/v1/vulnerabilities?vulnerabilityId=CVE-2023-1234")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/uvem/v1/vulnerabilities?vulnerabilityId=CVE-2023-1234", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "authorization: {{api-key}}", "x-xdr-auth-id: {{api_key_id}}" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/uvem/v1/vulnerabilities?vulnerabilityId=CVE-2023-1234"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "authorization: {{api-key}}"); headers = curl_slist_append(headers, "x-xdr-auth-id: {{api_key_id}}"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/uvem/v1/vulnerabilities?vulnerabilityId=CVE-2023-1234"); var request = new RestRequest(Method.GET); request.AddHeader("authorization", "{{api-key}}"); request.AddHeader("x-xdr-auth-id", "{{api_key_id}}"); IRestResponse response = client.Execute(request);
Responses

OK

Body
application/json
cvssobject
baseScoreMetricsobject
attackComplexitystring
attackVectorstring
availabilityImpactstring
confidentialityImpactstring
integrityImpactstring
privilegesRequiredstring
scopestring
userInteractionstring
scorenumber
scoreSourcestring
severitystring
severitySourcestring
vectorStringstring
versionstring
descriptionstring
epss_scorenumber
exploitDetailsobject
commercialExploitFoundboolean
exploitMaturitystring
firstReportedThreatActorinteger
mostRecentReportedThreatActorinteger
publicExploitFoundboolean
reportedExploitedboolean
reportedExploitedByBotnetsboolean
reportedExploitedByRansomwareboolean
reportedExploitedByThreatActorsboolean
weaponizedExploitFoundboolean
fixVersionsstring
isKevboolean
temporalCvssobject
confidencestring
scorenumber
vectorStringstring
versionstring
vulnerabilityIDstring
RESPONSE
{ "cvss": { "baseScoreMetrics": { "attackComplexity": "example", "attackVector": "example", "availabilityImpact": "example", "confidentialityImpact": "example", "integrityImpact": "example", "privilegesRequired": "example", "scope": "example", "userInteraction": "example" }, "score": 0.1, "scoreSource": "example", "severity": "example", "severitySource": "example", "vectorString": "example", "version": "example" }, "description": "example", "epss_score": 0.1, "exploitDetails": { "commercialExploitFound": false, "exploitMaturity": "example", "firstReportedThreatActor": 0, "mostRecentReportedThreatActor": 0, "publicExploitFound": false, "reportedExploited": false, "reportedExploitedByBotnets": false, "reportedExploitedByRansomware": false, "reportedExploitedByThreatActors": false, "weaponizedExploitFound": false }, "fixVersions": "example", "isKev": false, "temporalCvss": { "confidence": "example", "score": 0.1, "vectorString": "example", "version": "example" }, "vulnerabilityID": "example" }